Subject: bug#73443: Fwd: bug#73443: 29.4; ERC 5.6.1-git: erc-track mode line face color broken with left timestamps

From: Trevor Arjeski <[email-masked]>
Date: Tue, 24 Sep 2024 09:53:29 +0300

"J.P." <[email-masked]> writes:

> Complicating things slightly is this bit from the subject line:
>
>   "29.4; ERC 5.6.1-git"
>

Agreed. I don't even really want to begin debugging this. Perhaps we
should consider the issue moot unless verifiable on Emacs 30+ or master.

> FWIW, using the above setup, I don't notice the behavior described nor
> any difference in the mode line with `erc-insert-timestamp-function' set
> to 'erc-insert-timestamp-right' or its default.

I was not able to reproduce the issue either with your provided config
using 'erc-insert-timestamp-left (also needed to turn on erc-track-mode).

Thanks for looking into this.